Last Comment Bug 829208 - External API build busted after bug 807678
: External API build busted after bug 807678
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 22.0
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on: 826455
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-10 12:11 PST by neil@parkwaycc.co.uk
Modified: 2013-03-06 21:56 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (4.80 KB, patch)
2013-01-10 12:15 PST, neil@parkwaycc.co.uk
standard8: review+
mkmelin+mozilla: feedback+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2013-01-10 12:11:40 PST
Although bug 824459 fixed the build bustage from bug 807678 for fat libxul builds, external linkage builds are still busted because the APIs are only available to libxul. Bug 826455 has added some new APIs that will work in all builds.
Comment 1 neil@parkwaycc.co.uk 2013-01-10 12:15:32 PST
Created attachment 700604 [details] [diff] [review]
Proposed patch
Comment 2 Magnus Melin 2013-01-11 02:21:42 PST
Comment on attachment 700604 [details] [diff] [review]
Proposed patch

Review of attachment 700604 [details] [diff] [review]:
-----------------------------------------------------------------

Thx, this builds for me!
Comment 3 Magnus Melin 2013-02-20 11:37:21 PST
standard8: review ping, this has been sitting here for quite a while
Comment 4 Karsten Düsterloh 2013-02-20 23:53:38 PST
JFTR: This works for me as well (and building fails without it).
Comment 5 neil@parkwaycc.co.uk 2013-03-06 17:04:03 PST
Pushed comm-central changeset 9a11f1cc1da9.

Note You need to log in before you can comment on or make changes to this bug.